Package com.collibra.dgc.core.api.model.meta.inheritance

# Interface TraitAssignmentInheritance

All Superinterfaces:
  `Serializable`

public interface TraitAssignmentInheritance extends Serializable
The inheritance stemming from a single Trait applied to the Asset Type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedResourceReference`
  `getAssetType()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This property will be removed in the future.
  `List<AssignedCharacteristicTypeReference>`
  `getAssignedCharacteristicTypeReferences()`
  Returns the characteristic types (assignedResourceDiscriminator: "AttributeType", "StringAttributeType", "ScriptAttributeType", "BooleanAttributeType", "DateAttributeType", "SingleValueListAttributeType", "MultiValueListAttributeType", "NumericAttributeType", "RelationType", "DerivedRelationType" or "ComplexRelationType") assigned to the trait assignment.
  `List<AssignedCharacteristicType>`
  `getCharacteristicTypes()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `NamedResourceReference`
  `getScope()`
  Returns a reference to the scope of the trait assignment from which the inheritance comes.
  `NamedResourceReference`
  `getTrait()`
  Returns a reference to the trait from which the inheritance comes.
  `ResourceReference`
  `getTraitAssignment()`
  Returns a reference to the trait assignment from which the inheritance comes.

- ## Method Details

  - ### getAssetType

    @Deprecated(since="2025.05", forRemoval=true) NamedResourceReference getAssetType()
    Deprecated, for removal: This API element is subject to removal in a future version.
    This property will be removed in the future.
    This property was incorrectly named, and has therefore been replaced by the 'trait' property. It contains a reference to the trait from which the inheritance comes.
    Returns:
      a reference to the trait from which the inheritance comes

  - ### getTrait

    NamedResourceReference getTrait()
    Returns a reference to the trait from which the inheritance comes.
    Returns:
      a reference to the trait from which the inheritance comes

  - ### getScope

    NamedResourceReference getScope()
    Returns a reference to the scope of the trait assignment from which the inheritance comes.
    Returns:
      a reference to the scope of the trait assignment from which the inheritance comes

  - ### getTraitAssignment

    ResourceReference getTraitAssignment()
    Returns a reference to the trait assignment from which the inheritance comes.
    Returns:
      a reference to the trait assignment from which the inheritance comes

  - ### getCharacteristicTypes

    @Deprecated(since="2025.08", forRemoval=true) List<AssignedCharacteristicType> getCharacteristicTypes()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the characteristic types (assignedResourceDiscriminator: "AttributeType", "StringAttributeType", "ScriptAttributeType", "BooleanAttributeType", "DateAttributeType", "SingleValueListAttributeType", "MultiValueListAttributeType", "NumericAttributeType", "RelationType" or "ComplexRelationType") assigned to the trait assignment.
    Returns:
      the characteristic types assigned to the trait assignment

  - ### getAssignedCharacteristicTypeReferences

    List<AssignedCharacteristicTypeReference> getAssignedCharacteristicTypeReferences()
    Returns the characteristic types (assignedResourceDiscriminator: "AttributeType", "StringAttributeType", "ScriptAttributeType", "BooleanAttributeType", "DateAttributeType", "SingleValueListAttributeType", "MultiValueListAttributeType", "NumericAttributeType", "RelationType", "DerivedRelationType" or "ComplexRelationType") assigned to the trait assignment.
    Returns:
      the characteristic types assigned to the trait assignment